org.apache.storm.hbase.common

## Class ColumnList

- java.lang.Object
- - org.apache.storm.hbase.common.ColumnList

-     public class ColumnList
      extends Object

  Represents a list of HBase columns.

  There are two types of columns, standard and counter.

  Standard columns have column family (required), qualifier (optional), timestamp (optional), and a value (optional) values.

  Counter columns have column family (required), qualifier (optional), and an increment (optional, but recommended) values.

  Inserts/Updates can be added via the `addColumn()` and `addCounter()` methods.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ColumnList.AbstractColumn`
    `static class` | `ColumnList.Column`
    `static class` | `ColumnList.Counter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColumnList` | `addColumn(byte[] family, byte[] qualifier, byte[] value)` Add a standard HBase column.
    `ColumnList` | `addColumn(byte[] family, byte[] qualifier, long ts, byte[] value)` Add a standard HBase column.
    `ColumnList` | `addColumn(IColumn column)` Add a standard HBase column given an instance of a class that implements the `IColumn` interface.
    `ColumnList` | `addCounter(byte[] family, byte[] qualifier, long incr)` Add an HBase counter column.
    `ColumnList` | `addCounter(ICounter counter)` Add an HBase counter column given an instance of a class that implements the `ICounter` interface.
    `ColumnList` | `deleteColumn(byte[] family, byte[] qualifier)` Remove a standard HBase column.
    `List<ColumnList.Column>` | `getColumns()` Get the list of column definitions.
    `ArrayList<ColumnList.Column>` | `getColumnsToDelete()` Get the list of ‘column to delete’ definitions.
    `List<ColumnList.Counter>` | `getCounters()` Get the list of counter definitions.
    `boolean` | `hasColumns()` Query to determine if we have column definitions.
    `boolean` | `hasColumnsToDelete()` Query to determine if we have column delete definitions.
    `boolean` | `hasCounters()` Query to determine if we have counter definitions.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnList

          public ColumnList()

  - ### Method Detail

    - #### addColumn

          public ColumnList addColumn(byte[] family,
                                      byte[] qualifier,
                                      long ts,
                                      byte[] value)

      Add a standard HBase column.

    - #### addColumn

          public ColumnList addColumn(byte[] family,
                                      byte[] qualifier,
                                      byte[] value)

      Add a standard HBase column.

    - #### addColumn

          public ColumnList addColumn(IColumn column)

      Add a standard HBase column given an instance of a class that implements the `IColumn` interface.

    - #### addCounter

          public ColumnList addCounter(byte[] family,
                                       byte[] qualifier,
                                       long incr)

      Add an HBase counter column.

    - #### addCounter

          public ColumnList addCounter(ICounter counter)

      Add an HBase counter column given an instance of a class that implements the `ICounter` interface.

    - #### deleteColumn

          public ColumnList deleteColumn(byte[] family,
                                         byte[] qualifier)

      Remove a standard HBase column.

    - #### hasColumns

          public boolean hasColumns()

      Query to determine if we have column definitions.

    - #### hasColumnsToDelete

          public boolean hasColumnsToDelete()

      Query to determine if we have column delete definitions.

    - #### hasCounters

          public boolean hasCounters()

      Query to determine if we have counter definitions.

    - #### getColumns

          public List<ColumnList.Column> getColumns()

      Get the list of column definitions.

    - #### getColumnsToDelete

          public ArrayList<ColumnList.Column> getColumnsToDelete()

      Get the list of ‘column to delete’ definitions.

    - #### getCounters

          public List<ColumnList.Counter> getCounters()

      Get the list of counter definitions.

Copyright © 2021 The Apache Software Foundation. All rights reserved.